package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 退款单对象 mall_order_back
 *
 * @author chang
 * @date 2021-11-25
 */
public class MallOrderBack extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 订单iD
     */
    private Long orderId;

    private String orderNo;

    private Long userId;

    /**
     * 申请退款前的订单状态
     */
    private String orginalStatus;

    /**
     * 退款原因
     */
    @Excel(name = "退款原因")
    private String reason;

    /**
     * 状态: 0=退款中,1=退款成功,2=取消退款,3=拒绝退款
     */
    @Excel(name = "状态: 0=退款中,1=退款成功,2=取消退款,3=拒绝退款")
    private String status;

    /**
     * 拒绝原因
     */
    @Excel(name = "拒绝原因")
    private String refuse;

    /**
     * 退款单号
     */
    private String refundNo;

    /**
     * 退款金额
     */
    @Excel(name = "退款金额")
    private BigDecimal price;

    /**
     * 申请退款时间
     */
    @Excel(name = "申请退款时间")
    private String createAt;

    /**
     * 修改时间
     */
    private String updateAt;

    /**
     * 删除标记
     */
    private String delFlag;

    /**
     * 会员名称
     */
    private String memberUserName;

    /**
     * 店铺id
     */
    private Long shopId;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getMemberUserName() {
        return memberUserName;
    }

    public void setMemberUserName(String memberUserName) {
        this.memberUserName = memberUserName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRefuse() {
        return refuse;
    }

    public void setRefuse(String refuse) {
        this.refuse = refuse;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getCreateAt() {
        return createAt;
    }

    public void setCreateAt(String createAt) {
        this.createAt = createAt;
    }

    public String getUpdateAt() {
        return updateAt;
    }

    public void setUpdateAt(String updateAt) {
        this.updateAt = updateAt;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getOrginalStatus() {
        return orginalStatus;
    }

    public void setOrginalStatus(String orginalStatus) {
        this.orginalStatus = orginalStatus;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("orginalStatus", getOrginalStatus())
                .append("orderId", getOrderId())
                .append("userId", getUserId())
                .append("reason", getReason())
                .append("status", getStatus())
                .append("refuse", getRefuse())
                .append("refundNo", getRefundNo())
                .append("price", getPrice())
                .append("createAt", getCreateAt())
                .append("updateAt", getUpdateAt())
                .append("delFlag", getDelFlag())
                .append("shopId", getShopId())
                .toString();
    }
}
